Aracılığıyla paylaş


Private Endpoint Connections - Part 2 - Update

Özel uç nokta bağlantısını onaylar veya reddeder.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2024-08-01

URI Parametreleri

Name İçinde Gerekli Tür Description
privateEndpointConnectionName
path True

string

pattern: ^[a-zA-Z][a-zA-Z0-9-]*\.[a-fA-F0-9\-]+$

Özel uç nokta bağlantısının adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

properties.privateEndpoint

PrivateEndpoint

Özel uç nokta kaynağı.

Yanıtlar

Name Tür Description
200 OK

PrivateEndpointConnection

Özel uç nokta bağlantısı başarıyla onaylandı veya reddedildi.

201 Created

PrivateEndpointConnection

Özel uç nokta bağlantısı başarıyla onaylandı veya reddedildi.

202 Accepted

Kabul edildi

Üst Bilgiler

Location: string

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Güvenlik

azure_auth

Microsoft Entra OAuth2 Akışı

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Approve or reject a private endpoint connection.

Örnek isteği

PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/privateEndpointConnections/private-endpoint-connection-name.1fa229cd-bf3f-47f0-8c49-afb36723997e?api-version=2024-08-01

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by exampleuser@contoso.com"
    }
  }
}

Örnek yanıt

{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/privateEndpointConnections/private-endpoint-connection-name.1fa229cd-bf3f-47f0-8c49-afb36723997e",
  "name": "private-endpoint-connection-name.1fa229cd-bf3f-47f0-8c49-afb36723997e",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/privateEndpointConnections",
  "properties": {
    "provisioningState": "Ready",
    "privateEndpoint": {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
    },
    "groupIds": [
      "postgresqlServer"
    ],
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by johndoe@contoso.com",
      "actionsRequired": "None"
    }
  }
}
{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/privateEndpointConnections/private-endpoint-connection-name.1fa229cd-bf3f-47f0-8c49-afb36723997e",
  "name": "private-endpoint-connection-name.1fa229cd-bf3f-47f0-8c49-afb36723997e",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/privateEndpointConnections",
  "properties": {
    "provisioningState": "Ready",
    "privateEndpoint": {
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
    },
    "groupIds": [
      "postgresqlServer"
    ],
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by johndoe@contoso.com",
      "actionsRequired": "None"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/southeastasia/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2024-08-01
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/southeastasia/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2024-08-01

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

PrivateEndpoint

Özel uç nokta kaynağı.

PrivateEndpointConnection

Özel uç nokta bağlantı kaynağı.

PrivateEndpointConnectionProvisioningState

Geçerli sağlama durumu.

PrivateEndpointServiceConnectionStatus

Özel uç nokta bağlantı durumu.

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

PrivateEndpoint

Özel uç nokta kaynağı.

Name Tür Description
id

string

Özel uç noktanın ARM tanımlayıcısı.

PrivateEndpointConnection

Özel uç nokta bağlantı kaynağı.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.groupIds

string[]

Özel uç nokta kaynağının grup kimlikleri.

properties.privateEndpoint

PrivateEndpoint

Özel uç nokta kaynağı.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

Özel uç nokta bağlantı kaynağının sağlama durumu.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

Geçerli sağlama durumu.

Değer Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

Özel uç nokta bağlantı durumu.

Değer Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

Name Tür Description
actionsRequired

string

Hizmet sağlayıcısındaki değişikliklerin tüketicide herhangi bir güncelleştirme gerektirip gerektirmediğini belirten bir ileti.

description

string

Bağlantının onaylanması/reddedilmesinin nedeni.

status

PrivateEndpointServiceConnectionStatus

Bağlantının hizmet sahibi tarafından Onaylanıp Reddedildiğini/Kaldırıldığını gösterir.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.